%global pypi_name bcrypt

Name:           python-%{pypi_name}
Version:        3.2.2
Release:        %mkrel 1
Summary:        Modern password hashing for your software and your servers
Group:          Development/Python
#crypt_blowfish code is in Public domain and all other code in ASL 2.0
License:        ASL 2.0 and Public Domain and BSD
URL:            https://github.com/pyca/bcrypt/
Source0:        https://files.pythonhosted.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.xz

%description
Modern password hashing for your software and your servers

%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cffi
BuildRequires:  python3-six
BuildRequires:  python3-funcsigs
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Modern password hashing for your software and your servers

%prep
%setup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python-%{pypi_name}
%doc LICENSE
%doc README.rst
%{python2_sitearch}/%{pypi_name}/
%{python2_sitearch}/%{pypi_name}-%{version}-py%{python2_version}.egg-info/

%files -n python3-%{pypi_name}
%doc LICENSE
%doc README.rst
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/


%changelog
* Wed Aug 17 2022 TerryN <terryn94 at gmail.com> 3.2.2-1pclos2022
- update and rebuild for python 3.10

* Sat Feb 02 2019 tex 3.1.6-1pclos2019
- new version 3.1.6
